org.springframework.messaging.handler.invocation

## Interface HandlerMethodReturnValueHandler

All Known Subinterfaces:
  AsyncHandlerMethodReturnValueHandler

All Known Implementing Classes:
  AbstractAsyncReturnValueHandler, CompletableFutureReturnValueHandler, HandlerMethodReturnValueHandlerComposite, ListenableFutureReturnValueHandler, ReactiveReturnValueHandler, SendToMethodReturnValueHandler, SubscriptionMethodReturnValueHandler

    public interface HandlerMethodReturnValueHandler

Strategy interface to handle the value returned from the invocation of a method handling a `Message`.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleReturnValue(Object returnValue, org.springframework.core.MethodParameter returnType, Message<?> message)` Handle the given return value.
`boolean` `supportsReturnType(org.springframework.core.MethodParameter returnType)` Whether the given method return type is supported by this handler.

### Method Detail

#### supportsReturnType

    boolean supportsReturnType(org.springframework.core.MethodParameter returnType)

Whether the given method return type is supported by this handler.

Parameters:
  `returnType` - the method return type to check
Returns:
  `true` if this handler supports the supplied return type; `false` otherwise

#### handleReturnValue

    void handleReturnValue(@Nullable
                           Object returnValue,
                           org.springframework.core.MethodParameter returnType,
                           Message<?> message)
                    throws Exception

Handle the given return value.

Parameters:
  `returnValue` - the value returned from the handler method
  `returnType` - the type of the return value. This type must have previously been passed to `supportsReturnType(org.springframework.core.MethodParameter)` and it must have returned `true`.
  `message` - the message that caused this method to be called
Throws:
  `Exception` - if the return value handling results in an error